Help

What tools do I need to best use this site?

Most computers are already equipped with the right tools to view the ComPsych Web site. Here's a quick checklist of what you'll need:

  • ComPsych.com is designed to support Internet Explorer 6.0 or higher and Mozilla Firefox 3.5 or higher. If you need updated versions, download Internet Explorer or Mozilla Firefox for free.
  • You will need a Javascript-enabled browser to view pages in the correct format.
  • To take full advantage of all our features, you should have a screen resolution of 1024 x 768 or better; Windows Media Player; sound capabilities; and a 56 kbps modem or better.

I am having trouble accessing a certain page of the site. What should I do?

Try logging out of the site or disconnecting from the Internet and then reconnecting. The problem could be due to network congestion or a server malfunction that is out of your control. If you continue to encounter problems accessing any sections of our Web site, please contact our support personnel.

One or more of your links is outdated. What can I do to access the linked site?

Unfortunately, we have no control over links to other sites. However, you can try to access a link whose address has changed by consulting an Internet search engine. If you do encounter a link that is not working, please contact us and we will attempt to correct the problem.